Skip to main content
`Ctrl`+`K`

# BVSetRandomContext

Sets the `PetscRandom` object associated with the `BV`, to be used in operations that need random numbers.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVSetRandomContext(BV bv,PetscRandom rand)

Collective

## Input Parameters

- bv - the basis vectors context

- rand - the random number generator context

## See Also

BV: Basis Vectors, `BVGetRandomContext()`, `BVSetRandom()`, `BVSetRandomNormal()`, `BVSetRandomColumn()`, `BVSetRandomCond()`, `PetscRandomCreate()`

## Level

advanced

## Location

src/sys/classes/bv/interface/bvbasic.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages